---
title: HTMLHyperlinkElementUtils.hash
slug: Web/API/HTMLHyperlinkElementUtils/hash
tags:
  - API
  - Experimental
  - HTMLHyperlinkElementUtils
  - Property
  - Reference
  - URL API
---
<div>{{ APIRef("URLUtils") }}</div>

<p><span class="seoSummary">The <strong><code>HTMLHyperlinkElementUtils.hash</code></strong> property returns a {{domxref("USVString")}} containing a <code>'#'</code> followed by the fragment identifier of the URL.</span></p>

<p>The fragment is not <a href="/en-US/docs/Glossary/percent-encoding">percent-decoded</a>. If the URL does not have a fragment identifier, this property contains an empty string, <code>""</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>string</em> = <em>object</em>.hash;
<em>object</em>.hash = <em>string</em>;
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: html">&lt;a id="myAnchor" href="/en-US/docs/HTMLHyperlinkElementUtils.href#Examples"&gt;Examples&lt;/a&gt;
&lt;script&gt;
  var anchor = document.getElementById("myAnchor");
  console.log(anchor.hash); // Returns '#Examples'
&lt;/script&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-hyperlink-hash', 'HTMLHyperlinkElementUtils.hash')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLHyperlinkElementUtils.hash")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("HTMLHyperlinkElementUtils")}} mixin it belongs to.</li>
</ul>
